Subject: Re: bug#70764: 29.1; M-x gdb: don't ask me about debuginfod server if debuginfod is not in context

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 May 2024 19:12:33 +0300

> Date: Sat, 4 May 2024 17:42:20 +0200
> Cc: [email-masked]
> From: Rolf Ade <[email-masked]>
> 
> Am 04.05.24 um 16:11 schrieb Eli Zaretskii:
> >> Date: Sat, 4 May 2024 15:32:27 +0200
> >> From: Rolf Ade <[email-masked]>
> >>
> >>>> Even if I answer with "n" I get the message:
> >>>>
> >>>> "No symbol \"debuginfod\" in current context."
> >>>
> [...]
> >>> What OS are you using GDB on, and what is your GDB version, please?
> >>
> >> This is basically a GNU/linux debian 11.9 (so, not that old). More specifically,
> >> uname -a:
> >>
> >> Linux pointsman2 5.10.0-28-amd64 #1 SMP Debian 5.10.209-2 (2024-01-31) x86_64
> >> GNU/Linux
> >>
> >> gdb --version (it's the version installed by the debian package management system):
> >>
> >> GNU gdb (Debian 10.1-1.7) 10.1.90.20210103-git
> > 
> > Strange.  GDB 10.1 was the version where debuginfod support was added.
> > What does the shell command below show?
> > 
> >    $ gdb --config | fgrep debuginfod
> 
> This returns
> 
>               --with-debuginfod

Then I'm really stumped.

If you start GDB from the shell prompt, like this:

  $ gdb ./emacs

and then, when GDB shows its "(gdb)" prompt, type

  (gdb) set debuginfod enabled on

do you also see that "No symbol" error message?

And also please try this:

 $ gdb -i=mi ./emacs
 ...
 -gdb-set debuginfod enabled on

and see if you get any error message that way.